/*
 * Copyright 2022 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "wANSYSSolution.h"
#include "wProblem.h"

using namespace mirrors;

ANSYSSolution::ANSYSSolution(mirrors::Problem &pbl,
                             std::string const &_solution_type,
                             std::string const &_solution_name,
                             std::string const &_solution_file) : solution_type(_solution_type),
                                                                  solution_file(_solution_file),
                                                                  solution_name(_solution_name)
{
    pbl.ANSYSSol.push_back(this);
}

void ANSYSSolution::write(std::ostream &out) const
{
    out << "mirrors::ANSYSSolution:\n";
    out << solution_type << "\n";
    out << solution_name << "\n";
    out << solution_file << "\n";
}
